commit:     8e4a7f30fed3ad037edccf5db20398ce3a025296
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Mar  4 20:14:22 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Mar  4 20:27:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8e4a7f30

dev-python/google-api-core: Bump to 1.26.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/google-api-core/Manifest                |  1 +
 .../google-api-core/google-api-core-1.26.1.ebuild  | 43 ++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/google-api-core/Manifest 
b/dev-python/google-api-core/Manifest
index f420a18defb..c38f0a2658d 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -1,2 +1,3 @@
 DIST google-api-core-1.25.1.tar.gz 131189 BLAKE2B 
3b5ec782b0492a699d146539d95f613c07aab00735a08287eb93f3d458f98bd57b5e46082fde37aa4dd9986c24443ea22707ec18ec8a4dd2f80f5bb937bb4153
 SHA512 
cd29370b5a3eaca2c9b5076b6df12b114f28132fcbae63e7574dc9380b7caeea4c1ed476bc332ed16845efe85a44775391ba4f6ceb705b7ece49837056cedc25
 DIST google-api-core-1.26.0.tar.gz 132817 BLAKE2B 
f077e5f7a50de69ef3707d3e9a54f3b4948c458ee1eda058778fda618b202e7fd5fb7a116b9b153bf77bdbda858a91616e2f201d2aac45d8654a44001f52c71f
 SHA512 
2e35f231936d06a6c05dbc4930da881e17c53d10224ed394d7deec9fcc45647ccb3dc72316912c31300bc5d3776467d6aab160660695c9919f28fdf73bfd2ffe
+DIST google-api-core-1.26.1.tar.gz 132880 BLAKE2B 
f1872c1240b0b40385fce0496c676c2408501600710ec51cdcbfa8c5f0f15858ef62860f33022bd9ceaffbca25ec83cc1879b7ec7c3a3b119e5e3cc4ac043a0f
 SHA512 
138bd10895006885761f34932bf8f4b0776c2f3a2c2038d97d1837d961088b4a19cbd84321a493b81cad4727374949e87c59b7f649507a7cb356e6457a94cb1f

diff --git a/dev-python/google-api-core/google-api-core-1.26.1.ebuild 
b/dev-python/google-api-core/google-api-core-1.26.1.ebuild
new file mode 100644
index 00000000000..452b0c65176
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-1.26.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="https://github.com/googleapis/python-api-core
+       https://googleapis.dev/python/google-api-core/latest";
+SRC_URI="https://github.com/googleapis/${PN//google/python}/archive/v${PV}.tar.gz
 -> ${P}.tar.gz"
+S="${WORKDIR}/${P//google/python}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+       dev-python/namespace-google[${PYTHON_USEDEP}]
+       dev-python/protobuf-python[${PYTHON_USEDEP}]
+       dev-python/googleapis-common-protos[${PYTHON_USEDEP}]
+       >=dev-python/google-auth-1.21.0[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+       <dev-python/requests-3[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/grpcio[${PYTHON_USEDEP}]
+               dev-python/rsa[${PYTHON_USEDEP}]
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests --install pytest
+
+python_install_all() {
+       distutils-r1_python_install_all
+       find "${D}" -name '*.pth' -delete || die
+}

Reply via email to